QwtVectorFieldSymbol(3)

NAME
QwtVectorFieldSymbol

SYNOPSIS

#include <qwt_vectorfield_symbol.h>

Inherited by QwtVectorFieldArrow, and QwtVectorFieldThinArrow.

  Public Member Functions
QwtVectorFieldSymbol ()
Constructor.
virtual ~QwtVectorFieldSymbol ()
Destructor.
virtual void setLength (qreal length)=0
virtual qreal length () const =0
virtual void paint (QPainter *) const =0
Draw the symbol/arrow.

Detailed Description

Defines abstract interface for arrow drawing routines.

Arrow needs to be drawn horizontally with arrow tip at coordinate 0,0. arrowLength() shall return the entire length of the arrow (needed to translate the arrow for tail/centered alignment). setArrowLength() defines arror length in pixels (screen coordinates). It can be implemented to adjust other geometric properties such as the head size and width of the arrow. It is always called before paint().

A new arrow implementation can be set with QwtPlotVectorField::setArrowSymbol(), whereby ownership is transferred to the plot field.

Definition at line 32 of file qwt_vectorfield_symbol.h.

Member Function Documentation

  virtual qreal QwtVectorFieldSymbol::length () const [pure virtual]

Returns
    length of the symbol/arrow

See also
    setLength()

Implemented in QwtVectorFieldThinArrow, and QwtVectorFieldArrow.

  virtual void QwtVectorFieldSymbol::setLength (qreal length) [pure virtual]
Set the length of the symbol/arrow

See also
    length()

Implemented in QwtVectorFieldThinArrow, and QwtVectorFieldArrow.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.